QGIS Application - Bug report #19254
GRASS integration failures
2018-06-25 06:55 AM - Matt O'Brien

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 7 Pro, x64 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27082
Description

I've had a series of issues with GRASS on my Windows systems. The last time | had GRASS working on any of my Windows systems
was probably QGIS 2.12 running under Windows XP. Currently, I'm trying to use QGIS 3.2 64-bit, running Windows 7 x64 Pro. I've tried
the OSGEO4W installer, and the standalone installer. Until QGIS 3.0, there some plugin options to get around my GRASS issues, but
they've not been updated for use with QGIS > 3.0.

It started with the msvcr80.dIl missing issue, that was apparently considered fixed years ago (hitps:/trac.0sgeo.org/osgeo4w/ticket/420),

but I've never been able to do anything to correct it. I've found and moved the .dll files mentioned in that thread, and only manged to keep
producing different missing .dll errors. I've downloaded every redistributable C++ installer that I've seen mentioned as possibly fixing the
problem, all to no avail. I've certainly got multiple copies of msver80.dll on my system, mostly in places where its being used by a
particular app, as far as | can tell. In any case, | tried installing standalone GRASS for MS-Windows, and still had the same error, so that
apparently is not solely a QGIS issue.

My frustration is compounded my the fact that my (sadly underpowered) Linux computer works just fine, albeit only with smaller files.
Moreover, | recently got QGIS put on my Windows 10 box at work, and appear to be able to use GRASS modules without any problems.

My frustration has led me to keep trying to follow instructions from around the different help sites/bug reporting boards, which has so far
ended up with me losing the ability to log into my home windows machine for a brief period this afternoon. | seem to have backtracked my
way out of that disaster, but my GRASS issues have worsened.

Now, pretty much anytime | close the QGIS options menu, | get the following error message:

Wrong value for parameter "GRASS?7 folder":
Specified path does not exist:
C:\PROGRA~1\QGIS3~1.0\apps\grass\grass=7.4.0

| uninstalled and reinstalled QGIS standalone a few times, and got rid of some registry leftovers after the last uninstall. | am well aware
that fixing these problems is probably not going to come out reporting this as a bug, but I'd really rather be performing a viewshed analysis
than randomly shifting around the fiddly little bits of my computer's internal workings, which only seems to be making things worse
anyway.

Thanks,
MO

Related issues:

Duplicated by QGIS Application - Bug report # 19255: grass folder Closed 2018-06-25
Duplicates QGIS Application - Bug report # 19692: Advanced setting / Processi... Closed 2018-08-25
History

#1 - 2018-06-25 09:03 AM - Jiirgen Fischer

2025-04-27 1/3



https://trac.osgeo.org/osgeo4w/ticket/420

Change the setting to C:\PROGRA~1\QGIS3~1.0\apps\grass\grass-7.4.1

#2 - 2018-06-25 10:03 AM - Jiirgen Fischer

- Duplicated by Bug report #19255: grass folder added

#3 - 2018-06-25 10:05 AM - Jiirgen Fischer
- Affected QGIS version changed from 3.0.0 to 3.2

#4 - 2018-06-25 02:42 PM - Matt O'Brien

Jurgen Fischer wrote:

Change the setting to C:\PROGRA~1\QGIS3~1.0\apps\grass\grass-7.4.1

Thanks for that. | was thinking | had made that change, but then realized that | had only tried to change the location within the GRASS plugin options. Made

the change under Processing Providers, and at least got that issue remedied. Cheers.

#5 - 2018-06-25 02:49 PM - Matt O'Brien

| forgot to mention, in my original post, | had the details open during my last reinstall of QGIS standalone for Windows x64; at the last second, | saw

something along the lines of a batch file failing to load, but the "finish" screen popped up before | saw which batch file it was...definitely something .bat
though.

#6 - 2018-06-26 06:44 PM - Giovanni Manghi
- Status changed from Open to Feedback

Just did an installation on Windows with Osgeo4w and the path is right.

#7 - 2018-11-11 03:26 AM - Jiirgen Fischer
- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

"duplicate" of #19692

#8 - 2018-11-11 03:26 AM - Jiirgen Fischer
- Related to Bug report #19692: Advanced setting / Processing Configuration / "GRASS7 Folder" is not automatically updated when user install a new
version of QGIS on Windows. added

#9 - 2018-11-11 03:26 AM - Jiirgen Fischer
- Related to deleted (Bug report #19692: Advanced setting / Processing Configuration / "GRASS7 Folder" is not automatically updated when user install
a new version of QGIS on Windows.)

#10 - 2018-11-11 03:26 AM - Jiirgen Fischer

- Duplicates Bug report #19692: Advanced setting / Processing Configuration / "GRASS?7 Folder" is not automatically updated when user install a new
version of QGIS on Windows. added
